Bug 67927

Summary: [Qt][ARM] fast/events/constructors/progress-event-constructor.html is failing
Product: WebKit Reporter: Zoltan Horvath <zoltan>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: barraclough, cam, dominicc, haraken, haraken, kbalazs, loki, ossy, sam, zherczeg
Priority: P2 Keywords: Qt, QtTriaged, Regression
Version: 528+ (Nightly build)   
Hardware: All   
OS: Linux   
Bug Depends on:    
Bug Blocks: 67824    

Description Zoltan Horvath 2011-09-12 01:42:21 PDT
fast/events/constructors/progress-event-constructor.html is failing on ARM v5, it's working on ARM v7.

The test was introduced in http://trac.webkit.org/changeset/94771.

--- fast/events/constructors/progress-event-constructor-expected.txt	2011-09-11 22:22:25.415569263 -0700
+++ fast/events/constructors/progress-event-constructor-actual.txt	2011-09-11 22:22:25.403568142 -0700
@@ -20,7 +20,7 @@
 PASS new ProgressEvent('eventType', { loaded: 9007199254740991 }).loaded is 9007199254740991
 PASS new ProgressEvent('eventType', { loaded: 18446744073709551615 }).loaded is 0
 PASS new ProgressEvent('eventType', { loaded: 12345678901234567890 }).loaded is 12345678901234567168
-PASS new ProgressEvent('eventType', { loaded: -1 }).loaded is 18446744073709551615
+FAIL new ProgressEvent('eventType', { loaded: -1 }).loaded should be 18446744073709552000. Was 0.
 PASS new ProgressEvent('eventType', { loaded: NaN }).loaded is 0
 PASS new ProgressEvent('eventType', { loaded: 123.45 }).loaded is 123
 PASS new ProgressEvent('eventType', { loaded: undefined }).loaded is 0
@@ -41,7 +41,7 @@
 PASS new ProgressEvent('eventType', { total: 9007199254740991 }).total is 9007199254740991
 PASS new ProgressEvent('eventType', { total: 18446744073709551615 }).total is 0
 PASS new ProgressEvent('eventType', { total: 12345678901234567890 }).total is 12345678901234567168
-PASS new ProgressEvent('eventType', { total: -1 }).total is 18446744073709551615
+FAIL new ProgressEvent('eventType', { total: -1 }).total should be 18446744073709552000. Was 0.
 PASS new ProgressEvent('eventType', { total: NaN }).total is 0
 PASS new ProgressEvent('eventType', { total: 123.45 }).total is 123
 PASS new ProgressEvent('eventType', { total: undefined }).total is 0
Comment 1 Csaba Osztrogon√°c 2011-09-12 02:07:56 PDT
(It fails on ARMv5 and ARMv7 too.)
Comment 2 Kentaro Hara 2011-11-06 14:46:23 PST
I fixed this bug at r99161, and then I rebaselined the Qt result at r99211.
Comment 3 Balazs Kelemen 2011-11-08 08:00:46 PST
(In reply to comment #2)
> I fixed this bug at r99161, and then I rebaselined the Qt result at r99211.

Nice, thanks! It is one of the rare situations when we can close a bug filed for a bot failure... :) :S